/* $Id: cmachdef.h,v 1.3 1992/12/30 10:03:34 song Exp $ */
/*****************************************************************************
MODULE:  Tools
FILE:    cmachdef.h
AUTHOR:  Jacques Davy
DATE:    April 1991

DESCRIPTION:
    Machine and/or Environment dependent definitions

COPYRIGHT:
  Copyright (c) 1990, 1991 Bull S.A., Paris, France

  Permission to use, copy, modify, distribute FREE OF CHARGE this software
  and its documentation for any purpose is hereby granted without fee, provided
  that (i) the above copyright notices and this permission notice appear in
  all copies of the software and related documentation, and (ii) the name of
  Bull may not be used in any advertising or publicity relating to the
  software without the specific, prior written permission of Bull.

  The permission to distribute or sublicense FOR CHARGE either this software
  (all or part) or products derived from this software is subject to prior
  licence from Bull under separate agreement.

  The information in this software is subject to change without
  notice and should not be construed as a commitment by Bull.

  Bull assumes no responsibility for the use or inability to use any of its
  software. The software is provided "AS IS" without warranty of any
  kind, and Bull expressly disclaims all implied warranties, including
  but not limited to the implied warranties of merchantability and
  fitness for a particular purpose.

  In no event shall Bull be liable for any special, incidental, indirect
  or consequential damages of any kind, or any damages whatsoever
  resulting from loss of use, data or profits, whether or not advised of
  the possibility of damage, and on any theory of liability, arising out
  of or in connection with the use or performance of this software.
******************************************************************************/

#ifndef _cmachdef_h
#define _cmachdef_h

typedef void* GObjectId;

#include <sys/types.h>   /**
			   in C
			   ushort, uint are defined in types.h
			   **/

#if !defined (_BULL_SOURCE) && !defined (SCOunix) && !defined (SCO) && !defined (mips)
typedef unsigned long   ulong;
#endif

typedef unsigned char   uchar;

#ifdef _AIX
typedef unsigned short  ushort;
typedef unsigned int  	uint;
#endif

#ifdef _MSC_VER
#define __MSC7__
#endif

#ifndef NULL
#define NULL            0
#endif

#endif /* _cmachdef_h */
